%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name pytest-localserver

Name:           python-%{upstream_name}
Version:        0.3.4
Release:        1%{?dist}
Summary:        py.test plugin to test server connections locally

License:        MIT
URL:            http://bitbucket.org/basti/pytest-localserver/
Source0:        https://pypi.python.org/packages/source/p/%{upstream_name}/%{upstream_name}-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest >= 2.0.0
BuildRequires:  python-six
BuildRequires:  python-requests
 
%if %{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest >= 2.0.0
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-requests
%endif # if with_python3
 
Requires:       python-werkzeug >= 0.10
Requires:       python-setuptools

%description
pytest-localserver is a plugin for the `pytest`_ testing framework which
enables you to test server connections locally.

Sometimes `monkeypatching`_ ``urllib2.urlopen()`` just does not cut it, for
instance if you work with ``urllib2.Request``, define your own openers/handlers
or work with ``httplib``. In these cases it may come in handy ...

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{upstream_name}
Summary:        py.test plugin to test server connections locally
 
Requires:       python%{python3_pkgversion}-werkzeug >= 0.10
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
pytest-localserver is a plugin for the `pytest`_ testing framework which
enables you to test server connections locally.

Sometimes `monkeypatching`_ ``urllib2.urlopen()`` just does not cut it, for
instance if you work with ``urllib2.Request``, define your own openers/handlers
or work with ``httplib``. In these cases it may come in handy ...
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%doc LICENSE README
%{python2_sitelib}/pytest_localserver
%{python2_sitelib}/pytest_localserver-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%doc LICENSE README
%{python3_sitelib}/pytest_localserver
%{python3_sitelib}/pytest_localserver-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Thu Feb 12 2015 Aurelien Bompard - 0.3.4-1
- Initial package.
